Léa-Linux & amis :   LinuxFR   GCU-Squad   GNU
Difference between revisions of "Installer Povray ET MegaPov sur Debian"
[unchecked revision][checked revision]
(installation de megapov)
 
m (mise en page)
Line 7: Line 7:
Maintenant, MegaPov. Mais il n'y a pas de package pour lui, donc, il faut recourir aux sources, ce qui n'est pas très compliqué, elle se trouvent [http://megapov.inetart.net/download.html Ici].  
Maintenant, MegaPov. Mais il n'y a pas de package pour lui, donc, il faut recourir aux sources, ce qui n'est pas très compliqué, elle se trouvent [http://megapov.inetart.net/download.html Ici].  


* Décompresser l'archive (tar -xvf megapov-1.2.1-linux.tgz)
* Décompresser l'archive : <code>tar -xvf megapov-1.2.1-linux.tgz</code>
* Se positionner dans le sous-répertoire que la décompression a créé
* Se positionner dans le sous-répertoire que la décompression a créé : <code>cd megapov-1.2.1</code>
* Su..... password
* Passer administrateur par : <code>su</code>
* ./install (comme indiqué dans le readme)
* <code>./install</code> (comme indiqué dans le readme)


Et là, catastrophe ! L'installation s'arrête immédiatement, en annonçant qu'elle ne peut pas se poursuivre, puisque Povray 3.6 n'est pas installé sur ''this computer''. Quoi ? Povray n'est pas installé ? Mais il vient de parfaitement fonctionner dans la minute précédente...
Et là, catastrophe ! L'installation s'arrête immédiatement, en annonçant qu'elle ne peut pas se poursuivre, puisque Povray 3.6 n'est pas installé sur ''this computer''. Quoi ? Povray n'est pas installé ? Mais il vient de parfaitement fonctionner dans la minute précédente...
Line 16: Line 16:
En fait, le package Povray qui se trouve sur les dépots Debian installe ses fichiers dans des endroits que MegaPov ne peut pas retrouver... d'où l'avertissement durant l'installation. La chose est connue, sauf de la personne qui tente la manip la première fois ! Donc, il faut procéder autrement.
En fait, le package Povray qui se trouve sur les dépots Debian installe ses fichiers dans des endroits que MegaPov ne peut pas retrouver... d'où l'avertissement durant l'installation. La chose est connue, sauf de la personne qui tente la manip la première fois ! Donc, il faut procéder autrement.


* Désinstaller povray par aptitude remove povray
* Désinstaller povray par : <code>aptitude remove povray</code>
* Télécharger les sources pour Linux : povlinux-3.6.tgz que l'on trouve [http://www.povray.org/download/ Ici]
* Télécharger les sources pour Linux : povlinux-3.6.tgz que l'on trouve sur le site de  [http://www.povray.org/download/ povray]
* Décompresser l'archive
* Décompresser l'archive : <code>tar xzf povlinux-3.6.tgz</code>
* Se positionner dans le sous-répertoire que la décompression a créé
* Se positionner dans le sous-répertoire que la décompression a créé : <code>cd povlinux-3.6</code>
* Su..... password
* Passer administrateur par : <code>su</code>
* ./install (comme indiqué dans le readme)
* <code>./install</code> (comme indiqué dans le readme)


Ensuite, il faut procéder de même avec MegaPov, comme vu plus haut. Et là, miracle, Povray et MegaPov fonctionnent parfaitement !
Ensuite, il faut procéder de même avec MegaPov, comme vu plus haut. Et là, miracle, Povray et MegaPov fonctionnent parfaitement !


Donc, il suffit de le savoir, et, pour une fois, de ne pas utiliser le package proposé par sa distribution....
Donc, il suffit de le savoir, et, pour une fois, de ne pas utiliser le package proposé par sa distribution....

Revision as of 16:55, 1 June 2008

Povray est un formidable outil de création d'images de synthèse, utilisable sur toutes plateformes. Il s'utilise avec un éditeur de texte pour écrire les scripts, et un terminal pour en lancer le rendu (il existe aussi des front-ends graphiques).

MegaPov en est une annexe, en fait, une collection de macros supplémentaires, permettant l'ajout d'effets spécifiques qui ne sont pas implémentés d'origine sur Povray. Mais MegaPov ne peut fonctionner qu'avec Povray, qui doit être toujours installé en premier.

Donc, pour installer Povray sur Debian Etch, il suffit de récupérer et d'installer le package povray, avec aptitude install povray. Et ça marche très bien, Povray fonctionne parfaitement.

Maintenant, MegaPov. Mais il n'y a pas de package pour lui, donc, il faut recourir aux sources, ce qui n'est pas très compliqué, elle se trouvent Ici.

  • Décompresser l'archive : tar -xvf megapov-1.2.1-linux.tgz
  • Se positionner dans le sous-répertoire que la décompression a créé : cd megapov-1.2.1
  • Passer administrateur par : su
  • ./install (comme indiqué dans le readme)

Et là, catastrophe ! L'installation s'arrête immédiatement, en annonçant qu'elle ne peut pas se poursuivre, puisque Povray 3.6 n'est pas installé sur this computer. Quoi ? Povray n'est pas installé ? Mais il vient de parfaitement fonctionner dans la minute précédente...

En fait, le package Povray qui se trouve sur les dépots Debian installe ses fichiers dans des endroits que MegaPov ne peut pas retrouver... d'où l'avertissement durant l'installation. La chose est connue, sauf de la personne qui tente la manip la première fois ! Donc, il faut procéder autrement.

  • Désinstaller povray par : aptitude remove povray
  • Télécharger les sources pour Linux : povlinux-3.6.tgz que l'on trouve sur le site de povray
  • Décompresser l'archive : tar xzf povlinux-3.6.tgz
  • Se positionner dans le sous-répertoire que la décompression a créé : cd povlinux-3.6
  • Passer administrateur par : su
  • ./install (comme indiqué dans le readme)

Ensuite, il faut procéder de même avec MegaPov, comme vu plus haut. Et là, miracle, Povray et MegaPov fonctionnent parfaitement !

Donc, il suffit de le savoir, et, pour une fois, de ne pas utiliser le package proposé par sa distribution....

Views
Jump to: navigation, search
Personal tools

Sauf mention contraire, les documentations publiées sont sous licence Creative-Commons CC-BY-SA
Powered by MediaWiki